Adobe publie des correctifs pour plusieurs bogues de mémoire dans Flash Player

Adobe a diffusé aujourd’hui une mise à jour de Flash Player qui élimine une douzaine de vulnérabilités. La société a également annoncé le rapport à la semaine du 15 septembre d’une mise à jour de sécurité prévue pour Reader et Acrobat .

La publication d’aujourd’hui, qui coïncide avec les mises à jour de sécurité mensuelles de Microsoft, élimine plusieurs vulnérabilités exploitables à distance dans les versions Windows, Mac et Linux de Flash Player.

Adobe a déclaré qu’il n’existait aucune exploitation en circulation de ces bogues.

Voici la liste des versions de Flash Player touchées :

  • Adobe Flash Player 14.0.0.179 et antérieures
  • Adobe Flash Player 13.0.0.241 et versions 13.x antérieures
  • Adobe Flash Player 11.2.202.400 et versions antérieures pour Linux
  • Adobe AIR desktop runtime 14.0.0.178 et versions antérieures
  • Adobe AIR SDK 14.0.0.178 et version antérieures
  • Adobe AIR SDK & Compiler 14.0.0.178 et versions antérieures
  • Adobe AIR 14.0.0.179 et versions antérieures pour Android

Adobe a attribué le niveau critique le plus élevé à Flash Player 14 sous Windows, Mac, Linux et Internet Explorer 10 sous Windows 8. Flash Player 11 pour Linux et Adobe Air pour toutes les plateformes ont obtenu un niveau critique moins élevé et les administrateurs peuvent réaliser la mise à jour s’ils le souhaitent a déclaré Adobe.

Les bogues qui permettent une exécution de code à distance exploitent majoritairement des problèmes de mémoire, dont un problème de fuite de mémoire qui pourrait permettre à un attaquant de contourner la randomisation du format d’espace d’adressage (ASLR). Six autres CVE touchent des vulnérabilités de corruption de la mémoire qui entraînent une exécution de code, ainsi qu’une vulnérabilité de type use-after-free, une vulnérabilité de contournement de la sécurité, un débordement de tas et un autre bogue qui permet à un pirate de déjouer la stratégie SOP (same origin policy).

Adobe a également prévu de diffuser de nouvelles versions d’Adobe Acrobat et Reader, mais a décidé de reporter celle-ci à la semaine prochaine.

"Ce retard se justifie par la nécessité de résoudre des problèmes identifiés lors des tests de régression de routine" explique Adobe

Cette mise à jour éliminerait des vulnérabilités critiques dans Adobe Reader XI (11.0.08) et versions antérieures pour Windows et Macintosh, Adobe Reader X (10.1.10) et versions antérieures pour Windows et Macintosh, Adobe Acrobat XI (11.0.08) et versions antérieures pour Windows et Macintosh et Adobe Acrobat X (10.1.10) et versions antérieures pour Windows et Macintosh.

Cet article a été modifié pour indique que le correctif mis à jour d’Adobe sera disponible au cours de la semaine du 15 septembre.

Source :        Threatpost

Posts similaires

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *